Struktur und Gliederung der Hochlaufdaten

Die Parameter der Hochlaufliste enthalten applikationsspezifische Daten bzw. Verweise auf Files, die für den Hochlauf des NC-Kerns benötigt werden. Achsanzahl, Kanalanzahl sowie die Angabe von Pfaden unter denen die ebenfalls angegeben ASCII-Files gesucht werden, können in diesem ASCII File angegeben werden.

Wertebereiche von Parametern werden ggf. auch durch Angabe einer Grenze, die sich aufgrund der Datenbreite ergibt, mit z.B. MAX(UNS16) etc. definiert.


Syntax und Interpretation des Hochlaufdaten-ASCII-Files

Die Hochlaufdaten werden in einem ASCII-File definiert und von einem ASCII-Interpreter interpretiert und in den entsprechenden Strukturen gespeichert.

Danach werden für die Hochlaufdaten Plausibilitätsprüfungen durchgeführt.

Dieses Dokument definiert Inhalt und Syntax des ASCII-Files (Beispiel "hochlauf.lis") sowie die Elemente der Hochlaufdaten.

Für Hochlaufdaten vom Typ BOOLEAN gilt folgende Vereinbarung:

Wert | Bedeutung
0 | Definition von FALSE
1 | Definition von TRUE


Kommentar im ASCII-File

Kommentare können ganzzeilig, oder am Ende einer Zeile eingefügt werden.

Bei ganzzeiligem Kommentar muss am Zeilenanfang das Kommentarzeichen "'#", gefolgt von einem Leerzeichen eingefügt werden.

Soll am Ende einer Zeile ein Kommentar eingefügt werden, so muss vor dem Kommentar lediglich ein Leerzeichen vorhanden sein. Wurde in der Zeile jedoch ein String definiert, so muss dem Kommentar das Kommentarzeichen "(" vorangestellt werden.

Leerzeilen sind ebenfalls möglich.

Beispiel:

# ************************************************************************

# Daten

# ************************************************************************

#

# Auflistung

dummy[1] 1 Kommentar

dummy[2] 1 # Kommentar

dummy[3] 1 ( Kommentar

dummy[4] 1 /* Kommentar

...

...

beispiel[0].bezeichnung STRING_2 (Kommentar, hier Kommentarklammer nötig!)


Beschreibung der Elemente

Verschiedene Parameter werden durch den TwinCAT Systemmanager automatisch eingetragen bzw. verändert. Eine manuelle Änderung wird beim Aktivieren der Konfiguration überschrieben.

Die Parameter, die automatisch verändert werden, sind entsprechend gekennzeichnet.

Mehr:

button Anzahl der konfigurierten Kanäle (P-STUP-00001)

button SERCOS-Hochlauf (P-STUP-00002)

button SERCOS-Ringanzahl (P-STUP-00003)

button SERCOS-Baudrate (P-STUP-00004)

button SERCOS-Zeitschlitzberechnung (P-STUP-00005)

button SERCOS-AT-Zeitschlitzberechnung (P-STUP-00006)

button SERCOS-Master Sendeleistung (P-STUP-00039)

button Ausgewählte Topologie (P-STUP-00007)

button Listentyp (P-STUP-00008)

button Name des Listenfiles für die Kanalparameter (P-STUP-00009)

button Name des Listenfiles für die Werkzeugdaten (P-STUP-00010)

button Name des Listenfiles für die Nullpunktdaten (P-STUP-00011)

button Name des Listenfiles für die Platzversatzdaten (P-STUP-00012)

button Name des Listenfiles für die Handbetriebsparameter (P-STUP-00013)

button Anzahl der Achsmaschinendatensätze (P-STUP-00014)

button Name des Listenfiles für die Achsparameter (P-STUP-00015)

button Anzahl der Korrekturwertlisten (P-STUP-00016)

button Name des Listenfiles für die Korrekturwerte (P-STUP-00017)

button NC-Programmpfade (pfad[i].*)

button HMI-Objekte (hmi[i].*)

button Parameter für die BF Channel (channel[i].*)

button PLC-Mode (P-STUP-00032)

button Speichergrösse für das Rückwärtsfahren (P-STUP-00033)

button Speichergrösse für externe Variablen (P-STUP-00037)

button Name des Listenfiles für die externen Variablen (P-STUP-00038)

button Sammel- oder kanalspezifische Ausgabe der Anzeigedaten (P-STUP-00040)

button Parameter für die Konfiguration (configuration.*)


Anzahl der konfigurierten Kanäle (P-STUP-00001)

Applikationsabhängige Festlegung der Anzahl der NC-Kanäle. Die in diesem Parameter angegebene Anzahl muss den konfigurierten Kanälen entsprechen.

Der Systemablaufsteuerung wird mit diesem Parameter die Anzahl der NC-Kanäle mitgeteilt. Die Topologiebeschreibung, die als Binärlisten eincompiliert ist, muss diesem Datum entsprechen.

Variablenname | Typ | erlaubter Bereich | Dimension
kanal_anzahl | SGN16 | 1 - 12 | ----

TwinCAT: Automatischer Eintrag!


SERCOS-Hochlauf (P-STUP-00002)

Über dieses Datum kann bestimmt werden, ob SERCOS-Antriebe während des Hochlaufs mit hochgezogen werden sollen.

Es muss eine SERCOS-Karte enthalten sein.

TwinCAT: SERCOS-Parameter ohne Wirkung!

Variablenname | Typ | erlaubter Bereich | Dimension
sercos_hochlauf | SGN16 | 0 oder 1 | ----


SERCOS-Ringanzahl (P-STUP-00003)

Über dieses Datum kann bestimmt werden, wie viele SERCOS-Ringe im System vorhanden sind.

Variablenname | Typ | erlaubter Bereich | Dimension
sercos_ring_anzahl | UNS16 | 0 oder 1 | ----


SERCOS-Baudrate (P-STUP-00004)

Über dieses Datum kann bestimmt werden, welche Baudrate der SERCOS-Treiber verwenden soll.

Variablenname | Typ | erlaubter Bereich | Dimension
serc_baudrate[m][n] | ISG_CHAR | m = 0 ... [SERC_MAX_RING-1] n = 0 .... [ASCII_LISTEN_VAR-1] String: 2MBAUD / 4MBAUD | ----

Konstante | Wert | Bedeutung
SERC_MAX_RING | applikationsabhängig | Maximale Anzahl der SERCOS-Ringe
ASCII_LISTEN_VAR | applikationsabhängig | Maximale Länge der externen Filenamen


SERCOS-Zeitschlitzberechnung (P-STUP-00005)

Option zur Auswahl einer entsprechenden Berechnungsvorschrift der SERCOS-Zeitschlitze.

Variablenname | Typ | erlaubter Bereich | Dimension
mds_time_slots | SGN16 | 0 - interne Berechnung 1 - Übernahme vorgegebener Werte aus Achs-/Devicelisten | ----


SERCOS-AT-Zeitschlitzberechnung (P-STUP-00006)

Option zur Auswahl einer entsprechenden Berechnungsvorschrift der AT-Zeitschlitze.

Variablenname | Typ | erlaubter Bereich | Dimension
at_tslot_type | UNS08 | String: STANDARD oder OPTION1 | ----


SERCOS-Master Sendeleistung (P-STUP-00039)

Über dieses Datum kann die Leistung der SERCOS-Master Sendediode eingestellt werden. Durch Reduzierung der Sendeleistung kann z.B. ein Übersteuern der Empfängerdiode des nachfolgenden SERCOS-Ringteilnehmers vermieden werden.

Variablenname | Typ | erlaubter Bereich | Dimension
optical_intensity | UNS16 | 1 (min.) - 6 (max, default) | ----


Ausgewählte Topologie (P-STUP-00007)

Mit diesem Strukturelement wird eine Topologiebeschreibung (Konfiguration) des NC-Kerns ausgewählt.

Die gewählte Konfiguration muss als Binärfile im Code enthalten sein.

Variablenname | Typ | erlaubter Bereich | Dimension
konfiguration | UNS08 | String: EIN_KANAL_KONFIGURIERUNG ACHT_KANAL_KONFIGURIERUNG | ----

TwinCAT: Automatischer Eintrag!


Listentyp (P-STUP-00008)

Mit diesem Strukturelement wird festgelegt, ob der Hochlauf über Binär- oder über ASCII-Listen erfolgen soll.

Variablenname | Typ | erlaubter Bereich | Dimension
listen | UNS08 | String: ASCII BINAER | ----

TwinCAT: Eintrag darf nicht geändert werden.


Name des Listenfiles für die Kanalparameter (P-STUP-00009)

Mit diesem Strukturelement wird für jeden Kanal der Name des Files festgelegt, das die Kanalparameter enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
sda_mds[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl

TwinCAT: Automatischer Eintrag!

Mehr:

button Name des Listenfiles für die Defaultkanalparameter (P-STUP-00034)


Name des Listenfiles für die Defaultkanalparameter (P-STUP-00034)

Mit diesem Strukturelement wird kanalübergreifend der Name des Files festgelegt, das die mit Defaultwerten belegten Kanalparameter enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
default_sda_mds | UNS08 | String | ----


Name des Listenfiles für die Werkzeugdaten (P-STUP-00010)

Mit diesem Strukturelement wird für jeden Kanal der Name des Files festgelegt, das die Werkzeugdaten enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
werkz_data[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl

TwinCAT: Automatischer Eintrag!


Name des Listenfiles für die Nullpunktdaten (P-STUP-00011)

Mit diesem Strukturelement wird für jeden Kanal der Name des Files festgelegt, das die Nullpunktdaten enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
nullp_data[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl

TwinCAT: Automatischer Eintrag!


Name des Listenfiles für die Platzversatzdaten (P-STUP-00012)

Mit diesem Strukturelement wird für jeden Kanal der Name des Files festgelegt, das die Platzversatzdaten enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
pzv_data[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl

TwinCAT: Automatischer Eintrag!


Name des Listenfiles für die Handbetriebsparameter (P-STUP-00013)

Mit diesem Strukturelement wird kanalübergreifend der Name des Files festgelegt, das die Handbetriebsparameter enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
hand_mds | UNS08 | String | ----

TwinCAT: Automatischer Eintrag!


Anzahl der Achsmaschinendatensätze (P-STUP-00014)

Mit diesem Strukturelement wird die Anzahl der zu interpretierenden Achsmaschinendatensätze und damit die Zahl der im System vorhandenen Achsen bestimmt.

Variablenname | Typ | erlaubter Bereich | Dimension
zahl_mds | SGN16 | 1 ... 32 | ----

TwinCAT: Automatischer Eintrag!


Name des Listenfiles für die Achsparameter (P-STUP-00015)

Mit diesem Strukturelement werden kanalübergreifend die Namen der Achsparameterdatenfiles festgelegt. Hier handelt es sich um Strings mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Die Anzahl der Achsparameterdatenfiles muss der Anzahl der Achsparameterdatensätze entsprechen. Werden mehr Files angegeben als "zahl_mds" enthält, werden diese Files nicht berücksichtigt. Umgekehrt wird versucht, unbekannte Files zu öffnen, was zur Ausgabe von Fehlermeldungen und zum Abbruch des Steuerungshochlaufs führt.

Variablenname | Typ | erlaubter Bereich | Dimension
achs_mds[i] | UNS08 | String | ----
i | UNS16 | 0 ... [SYS_AXMAX - 1] | ----

Konstante | Wert | Bedeutung
SYS_AXMAX | applikationsabhängig | Maximale Achsanzahl im System

TwinCAT: Automatischer Eintrag!

Mehr:

button Name des Listenfiles für die Defaultachsparameter (P-STUP-00035)


Name des Listenfiles für die Defaultachsparameter (P-STUP-00035)

Mit diesem Strukturelement wird kanalübergreifend der Name des Files festgelegt, das die mit Defaultwerten belegten Achsparameter enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
default_achs_mds | UNS08 | String | ----

TwinCAT: Automatischer Eintrag!


Anzahl der Korrekturwertlisten (P-STUP-00016)

Mit diesem Strukturelement wird die Anzahl der zu interpretierenden Korrekturwertlisten bestimmt.

Die Zahl der Korrekturwertlisten darf nicht größer sein als die Zahl der Achsen. Für jede Achse kann eine Korrekturwertliste vorhanden sein.

Variablenname | Typ | erlaubter Bereich | Dimension
zahl_kw | SGN16 | 1 ... 32 | ----

TwinCAT: Automatischer Eintrag!


Name des Listenfiles für die Korrekturwerte (P-STUP-00017)

Mit diesem Strukturelement werden kanalübergreifend die Namen der Korrekturwertfiles festgelegt. Hier handelt es sich um Strings mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Die Anzahl der Korrekturwertlisten "zahl_kw" muss der Anzahl der Listenfiles entsprechen. Werden mehr Files angegeben als "zahl_kw" enthält, werden diese Files nicht berücksichtigt. Umgekehrt wird versucht, unbekannte Files zu öffnen, was zur Ausgabe von Fehlermeldungen und zum Abbruch des Steuerungshochlaufs führt.

Variablenname | Typ | erlaubter Bereich | Dimension
achs_kw[i] | UNS08 | String | ----
i | UNS16 | 0 ... [SYS_AXMAX - 1] | ----

Konstante | Wert | Bedeutung
SYS_AXMAX | applikationsabhängig | Maximale Achsanzahl im System

TwinCAT: Automatischer Eintrag!

Mehr:

button Achszuordnung der Korrekturwertliste (P-STUP-00036)


Achszuordnung der Korrekturwertliste (P-STUP-00036)

Über die logische Achsnummer wird kanalübergreifend festgelegt, welcher Achse die entsprechende Korrekturwertliste zugeordnet ist.

Variablenname | Typ | erlaubter Bereich | Dimension
achs_kw_log_ax_nr[i] | UNS16 | 1 ... MAX(UNS16) | ----
i | UNS16 | 0 ... [SYS_AXMAX - 1] | ----

Konstante | Wert | Bedeutung
SYS_AXMAX | applikationsabhängig | Maximale Achsanzahl im System

TwinCAT: Automatischer Eintrag!


NC-Programmpfade (pfad[i].*)

Mit diesem Strukturelement werden für jeden Kanal die Pfade zu den NC-Programmen festgelegt. Für jeden Programmpfad muss der Pfadstring, die logische Pfadnummer, der Pfadtyp und die Priorität angegeben werden.

Variablenname | Typ | Index | Dimension
pfad[i] | PFAD_DATEN | i = 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl

Mehr:

button Pfadangabe (P-STUP-00018)

button Logische Pfadnummer (P-STUP-00019)

button Pfadtyp (P-STUP-00020)

button Priorität (P-STUP-00021)


Pfadangabe (P-STUP-00018)

Mit diesem Element wird der Pfad zu den NC-Programmen festgelegt. Die CNC verwendet diesen Pfad zum Öffnen eines NC-Programm. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
prg[j] | ISG_CHAR | String | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1] | ----

Konstante | Zahl | Bedeutung
PRG_PFAD_MAX | applikationsabhängig | Maximale Anzahl der Programmpfade im System


Logische Pfadnummer (P-STUP-00019)

Mit diesem Element wird für den Programmpfad eine logische Pfadnummer festgelegt. Innerhalb des Systems müssen die logischen Pfadnummern eindeutig sein.

Variablenname | Typ | erlaubter Bereich | Dimension
log_nr[j] | UNS16 | 1 ... MAX(UNS16) | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1] | ----

Konstante | Zahl | Bedeutung
PRG_PFAD_MAX | applikationsabhängig | Maximale Anzahl der Programmpfade im System


Pfadtyp (P-STUP-00020)

Mit diesem Element wird der Typ des Programmpfads bitcodiert festgelegt. Somit kann eine Pfadangabe auch für mehrere Pfadtypen verwendet werden.

Variablenname | Typ | erlaubter Bereich | Dimension
typ[j] | UNS16 | 0x01 (Hauptprogrammpfad) 0x02 (Unterprogrammpfad) 0x04 (Pfad für #MSG SAVE) Kombinationen : 0x03 (Haupt + Unterprogrammpfad) 0x05 (Hauptprogrammpfad + Pfad für #MSG SAVE) 0x06 (Unterprogrammpfad + Pfad für #MSG SAVE) 0x07 (Haupt + Unterprogrammpfad + Pfad für #MSG SAVE) | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1]

Konstante | Zahl | Bedeutung
PRG_PFAD_MAX | applikationsabhängig | Maximale Anzahl der Programmpfade im System


Priorität (P-STUP-00021)

Mit diesem Element wird die Priorität des Programmpfads festgelegt. Mit der Priorität wird festgelegt, in welcher Reihenfolge die Verzeichnisse der entsprechenden Pfadtypen nach dem NC-Programmfile durchsucht werden. Die höchste Prioritätsstufe ist "0". Werden für einen Programmpfad keine Prioritätsangaben gemacht, so wird dieser Pfad mit der Priorität "0" initialisiert. Wird die gleiche Priorität bei einem Programmpfad vom gleichen Pfadtyp angegeben, so wird eine Fehlermeldung ausgegeben.

Variablenname | Typ | Index | Dimension
prioritaet[j] | UNS16 | 0 ... MAX(UNS16) | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1]

Konstante | Zahl | Bedeutung
PRG_PFAD_MAX | applikationsabhängig | Maximale Anzahl der Programmpfade im System


HMI-Objekte (hmi[i].*)

Mehr:

button Name des Listenfiles (P-STUP-00024)

button Mode des Listenfiles (P-STUP-00025)


Name des Listenfiles (P-STUP-00024)

Mit diesem Strukturelement wird der kanalübergreifende Name der HMI-Objektliste festgelegt. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | Index | Dimension
objects | UNS08 | String | ----

TwinCAT: Automatischer Eintrag!


Mode des Listenfiles (P-STUP-00025)

Mit diesem Strukturelement wird der Modus für das Laden der HMI-Objektliste festgelegt. Hier handelt es sich um einen String mit einer maximalen Länge von NAME_SIZE Zeichen.

Variablenname | Typ | Index | Dimension
mode | UNS08 | String: write Existierende Liste wird nur eingelesen write+ Liste wird zuerst erzeugt und danach eingelesen default Interne Defaultliste wird verwendet. Es wird keine Liste extern erzeugt. | ----

TwinCAT: Automatischer Eintrag!


Parameter für die BF Channel (channel[i].*)

Mehr:

button Name des Listenfiles (P-STUP-00026)

button Mode des Listenfiles (P-STUP-00027)


Name des Listenfiles (P-STUP-00026)

Mit diesem Strukturelement wird der kanalübergreifende Name der BF Channel-Objektliste festgelegt. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | Index | Dimension
objects | UNS08 | String | ----

TwinCAT: Automatischer Eintrag!


Mode des Listenfiles (P-STUP-00027)

Mit diesem Strukturelement wird der Modus für das Laden der BF Channel-Objektliste festgelegt. Hier handelt es sich um einen String mit einer maximalen Länge von NAME_SIZE Zeichen.

Variablenname | Typ | Index | Dimension
mode | UNS08 | String: write Existierende Liste wird nur eingelesen write+ Liste wird zuerst erzeugt und danach eingelesen default Interne Defaultliste wird verwendet. Es wird keine Liste extern erzeugt. | ----

TwinCAT: Automatischer Eintrag!


PLC-Mode (P-STUP-00032)

Mit diesem Strukturelement wird angegeben, ob das Interface zur SPS (High Level Interface) im Debug / Release-Mode betrieben werden soll.

Variablenname | Typ | erlaubter Bereich | Dimension
plc_mode | UNS16 | 0 - PLC_TEST_MODE 1- PLC_RUN_MODE | ----

TwinCAT: Zur Zeit ist nur 0 erlaubt!


Speichergrösse für das Rückwärtsfahren (P-STUP-00033)

Dieser Parameter legt die Speichergrösse in Byte für das Rückwärtsfahren auf der Bahn fest. Die NC prüft beim Hochlauf, ob die notwendige Minimalgröße eingehalten wird. Wenn dies nicht der Fall ist, so wird eine Warning erzeugt und die Speichergrösse auf den erforderlichen Mindestwert gesetzt. Wird die Speichergröße auf 0 gesetzt, so steht die Funktionalität "Vorwärts-/ Rückwärtsfahren auf der Bahn" nicht zur Verfügung. Die maximale Grösse wird nur durch die vorhandenen Ressourcen des PC begrenzt.

Variablenname | Typ | erlaubter Bereich | Dimension
fb_storage_size[i] | UNS32 | 0 ... MAX(UNS32) | Byte
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl


Speichergrösse für externe Variablen (P-STUP-00037)

Dieser Parameter dient zur Dimensionierung des Speicherbereiches, der für die externen Variablen jedes Kanals auf dem HLI zur Verfügung steht. Für die globalen, externen Variablen wird ein eigener Speicherbereich mit dieser Größe angelegt. Die hierbei festgelegte Zahl bestimmt die Anzahl an 24-Byte-Blöcken, aus denen jeder dieser VE-Speicherbereiche besteht [EXTV].

Variablenname | Typ | erlaubter Bereich | Dimension
ext_var_max | UNS16 | 0 ... MAX(UNS16) | ----

TwinCAT: Automatischer Eintrag!


Name des Listenfiles für die externen Variablen (P-STUP-00038)

Mit diesem Strukturelement wird für jeden Kanal der Name des Files festgelegt, das die externen Variablen enthält. Hier handelt es sich um einen String mit einer maximalen Länge von FILE_NAME_L_EXT Zeichen.

Variablenname | Typ | erlaubter Bereich | Dimension
ext_var[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl

TwinCAT: Automatischer Eintrag!


Sammel- oder kanalspezifische Ausgabe der Anzeigedaten (P-STUP-00040)

Durch diesen Parameter kann umgeschaltet werden, ob die Visualisierungsdaten pro Kanal in einen Ausgabefifo geschrieben werden, oder ob die Visualisierungsdaten aller Kanäle in einen globalen Ausgabefifo geschrieben werden

Variablenname | Typ | erlaubter Bereich | Dimension
single_protocol_fifo | BOOLEAN | 0/1 | ----

0 | Kanalspezifische Ausgabe der Visualisierungsdaten.
1 | Gemeinsame Ausgabe der Visualisierungsdaten.


Parameter für die Konfiguration (configuration.*)

Mehr:

button Plattformskalierung (configuration.position_controller.*)

button Kanalskalierung (configuration.channel[i].*)

button Programmierbeispiele


Plattformskalierung (configuration.position_controller.*)

Für dieses Kapitel ist der Nummerbereich 00041  00059 reserviert!!!

Mehr:

button Funktion des Lagereglers (P-STUP-00041)


Funktion des Lagereglers (P-STUP-00041)

Mit dem Parameter "configuration.position_controller.function" kann die Funktionalität des Lagereglers skaliert werden.

Variablenname | Typ | Erlauber Bereich | Dimension
function | String | - derzeit noch nicht verwendet - | ----


Kanalskalierung (configuration.channel[i].*)

Mit dem Parameter "configuration.channel[i].*" werden für jeden Kanal Funktionen der Bahnplanung und Interpolation festgelegt.

Variablenname | Typ | Index | Dimension
configuration.channel[i].* | PFAD_DATEN | i = 0 ... [KANAL_ANZ_RND - 1] | ----

Konstante | Wert | Bedeutung
KANAL_ANZ_RND | applikationsabhängig | Maximale Kanalanzahl

TwinCAT: ab Build 1500 verfügbar

Mehr:

button Bahnplanung (configuration.channel[i].path_preparation.*)

button Interpolation (configuration.channel[i].interpolation.*)


Bahnplanung (configuration.channel[i].path_preparation.*)

Für dieses Kapitel ist der Nummerbereich 00060  00069 reserviert!!!

Mehr:

button Festlegung der Funktionalitäten (P-STUP-00060)


Festlegung der Funktionalitäten (P-STUP-00060)

Der Parameter "configuration.channel[i].path_preparation.function" legt die einzelnen Funktionalitäten in der Bahnplanung fest. Hierdurch können einzelne Funktionen zum Test deaktiviert oder aus Performancegründen ausgeschaltet werden.

Variablenname | Typ | erlaubter Bereich | Dimension
function | String | FCT_DEFAULT FCT_FFM | FCT_PRESEGMENTATION | FCT_SPLINE | FCT_POLY | FCT_CAX | FCT_CAX_TRACK | FCT_SEGMENTATION | ----

FCT_DEFAULT | alle Funktionen sind verfügbar
FCT_FFM | Freiformflächenmodus, #HSC [OPMODE 1 CONTERR 0.01], #HSC [OPMODE 2]
FCT_PRESEGMENTATION | Lineare Vorsegmentierung im HSC-Mode
FCT_SPLINE | #HSC[], AKIMA, B-Spline, G150/G151
FCT_POLY | #CONTOUR MODE[], G61, G261/G260
FCT_CAX | C-Achsbearbeitung, d.h. die Spindel wird in den Kanal mitaufgenommen.
FCT_CAX_TRACK | #CAX TRACK, Nachführen einer Achse entsprechend des Konturwinkels
FCT_SEGMENTATION | Für dynamische Segmentierung der Bahnkontur, z. B. bei stark unterschiedlicher Krümmung eines Polynomsegments.


Interpolation (configuration.channel[i].interpolation.*)

Für dieses Kapitel ist der Nummerbereich 00070  00079 reserviert!!!

Mehr:

button Grösse Look-Ahead-Puffer (P-STUP-00070)

button Anwenderspezifische Grösse Look-Ahead-Puffer (P-STUP-00071)


Grösse Look-Ahead-Puffer (P-STUP-00070)

Der Parameter "configuration.channel[i].interpolation.function" legt die Grösse des Look-Ahead-Puffers des Interpolators fest, d.h. über wie viele Sätze die Bremswegberechnung und Dynamikplanung durchgeführt wird.

Variablenname | Typ | erlaubter Bereich | Dimension
function | String | FCT_LOOK_AHEAD_LOW, FCT_LOOK_AHEAD_STANDARD, FCT_LOOK_AHEAD_HIGH, FCT_LOOK_AHEAD_CUSTOM | ----

FCT_LOOK_AHEAD_LOW | 30 Sätze
FCT_LOOK_AHEAD_STANDARD | 70 Sätze
FCT_LOOK_AHEAD_HIGH | 120 Sätze
FCT_LOOK_AHEAD_CUSTOM | Anzahl der Look-Ahead Sätze beliebig im Intervall [ 0; 200 ]. Angabe über Parameter P-STUP-00071 .


Anwenderspezifische Grösse Look-Ahead-Puffer (P-STUP-00071)

TwinCAT CNC: Überblick

Anwenderspezifische Größe Look-Ahead-Puffer (P-STUP-00071)

Der Parameter "configuration.channel[i].interpolation.parameter" ermöglicht die anwenderspezifische Definition der Größe des Look-Ahead-Puffers.

Variablenname | Typ | erlaubter Bereich | Dimension
parameter | UNS32 | [ 0; 2^32] = [0 ; 4294967296] |


Programmierbeispiele

:

# ****************************************

#

configuration.channel[0].path_preparation.function FCT_DEFAULT

#configuration.channel[0].path_preparation.function FCT_FFM | FCT_PRESEGMENTATION | FCT_SPLINE | FCT_POLY | FCT_CAX | FCT_CAX_TRACK | FCT_SEGMENTATION

# configuration.channel[0].path_preparation.function FCT_SPLINE

# configuration.channel[0].path_preparation.function FCT_POLY

#

# look ahead blocks [35;120] : low = 35, standard = 70, high = 120

# FCT_LOOK_AHEAD_LOW, _STANDARD, _HIGH, _CUSTOM

#

configuration.channel[0].interpolator.function FCT_LOOK_AHEAD_CUSTOM

configuration.channel[0].interpolator.parameter 95 # look ahead blocks

# configuration.channel[0].interpolator.function FCT_LOOK_AHEAD_STANDARD

#

# configuration.position_controller.function FCT_SPLINE


Beispiel für die Belegung der Hochlaufliste

Konfiguration mit 2 Kanälen und insgesamt 6 Achsen:

# ********************************************************************************

# ********************************************************************************

konfiguration ZWEI_KANAL_KONFIGURIERUNG

kanal_anzahl 2

ext_var_max 200

plc_mode 0

sercos_hochlauf 1

listen ASCII

#

# ********************************************************************************

# Listen des 1.Kanals

# ********************************************************************************

default_sda_mds ..\listen\default_sda.lis

sda_mds[0] ..\listen\sda_mds1.lis

werkz_data[0] ..\listen\werkz_d1.lis

nullp_data[0] ..\listen\nullp_d1.lis

pzv_data[0] ..\listen\pzv_d1.lis

ve_var[0] ..\listen\ext_var1.lis

fb_storage_size[0] 0x200000

# ********************************************************************************

# Listen des 2.Kanals

# ********************************************************************************

sda_mds[1] ..\listen\sda_mds2.lis

werkz_data[1] ..\listen\werkz_d2.lis

nullp_data[1] ..\listen\nullp_d2.lis

pzv_data[1] ..\listen\pzv_d2.lis

ve_var[1] ..\listen\ext_var2.lis

fb_storage_size[1] 0x200000

# ********************************************************************************

# Kanalunabhaengige Listen

# ********************************************************************************

hand_mds ..\listen\hand_mds.lis

hmi[0].objects ..\listen\objects1.lis

hmi[0].mode write+

hmi[1].objects ..\listen\objects2.lis

hmi[1].mode write+

channel[0].objects ..\listen\channel1.lis

channel[0].mode write+

channel[1].objects ..\listen\channel2.lis

hannel[1].mode write+

rtconf_lis ..\listen\rtconf.lis

konf_path ..\listen

#

# ********************************************************************************

# Achsmaschinendaten

# ********************************************************************************

zahl_mds 6

default_achs_mds ..\listen\default_mds.lis

achs_mds[0] ..\listen\achsmds1.lis

achs_mds[1] ..\listen\achsmds2.lis

achs_mds[2] ..\listen\achsmds3.lis

achs_mds[3] ..\listen\achsmds4.lis

achs_mds[4] ..\listen\achsmds5.lis

achs_mds[5] ..\listen\achsmds6.lis

#

# ********************************************************************************

# Korrekturwertlisten

# (ausgeblendet durch Kommentarzeichen)

# ********************************************************************************

# zahl_kw 4

# achs_kw[0] ..\listen\achskw1.lis

# achs_kw_log_ax_nr[0] 1

# achs_kw[1] ..\listen\achskw2.lis

# achs_kw_log_ax_nr[1] 2

# achs_kw[2] ..\listen\achskw3.lis

# achs_kw_log_ax_nr[2] 3

# achs_kw[3] ..\listen\achskw4.lis

# achs_kw_log_ax_nr[3] 4

#

# ********************************************************************************

# Programmpfade:

# ********************************************************************************

# pfad[ <Kanalnummer> ].prg[ <Index> ]

# prg -> Programmpfadangabe

# log_nr -> logische Programmpfadnummer

# typ -> Programmpfadtyp ( 0x01 Hauptprogrammpfad )

# ( 0x02 Unterprogrammpfad )

# ( 0x03 Haupt- und Unterprogrammpfad )

# prioritaet -> Angabe der Prioritaet des Programmpfades, falls mehrere

# Programmpfade des gleichen Typs angegeben werden.

#

pfad[0].prg[0] v:\ref_test\nc_prg\init

pfad[0].log_nr[0] 1

pfad[0].typ[0] 0x03 # Haupt- und Unterprogrammpfad

pfad[0].prioritaet[0] 1

#

pfad[0].prg[1] v:\ref_test\nc_prg\dec

pfad[0].log_nr[1] 2

pfad[0].typ[1] 0x03 # Haupt- und Unterprogrammpfad

pfad[0].prioritaet[1] 2

#

pfad[0].prg[2] v:\ref_test\nc_prg\bavo

pfad[0].log_nr[2] 3

pfad[0].typ[2] 0x03 # Haupt- und Unterprogrammpfad

pfad[0].prioritaet[2] 3

#

pfad[0].prg[3] ..\prg

pfad[0].log_nr[3] 4

pfad[0].typ[3] 0x01 # Hauptprogrammpfad

pfad[0].prioritaet[3] 4

#

pfad[0].prg[4] ..\prg

pfad[0].log_nr[4] 5

pfad[0].typ[4] 0x02 # Unterprogrammpfad

pfad[0].prioritaet[4] 5

#

Ende